<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('silver_deposit_requests', function (Blueprint $table) {
            $table->id();
            $table->string('user_id', 50);
            $table->double('wallet_value', 15, 2);
            $table->string('pay_mode', 30);
            $table->string('utr', 50);
            $table->string('status', 30);
            $table->datetime('approve_date');
            $table->string('remark', 200);
            $table->string('deposited_by', 100);
            $table->datetime('entry_date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('silver_deposit_requests');
    }
};
